package models

import (
	"github.com/rdlucklib/rdluck_tools/orm"
	"time"
)

type CygxUserSearchKeyWord struct {
	Id         int    `orm:"column(id);" description:"id"`
	KeyWord    string `description:"关键词"`
	PageType   string `description:"页面类型，活动搜索：ActivitSearch"`
	UserId     int
	CreateTime time.Time
}

//新增
func AddUserSearchKeyWord(item *CygxUserSearchKeyWord) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
